#include <iostream>
#include <vector>
#include <set>
using namespace std;

int main() {
	cin.tie(0); cout.tie(0);
	ios::sync_with_stdio(false);
	int n;
	cin >> n;
	vector<pair<int, int>> tacke(n);
	set<int> x;
	set<int> y;
	long long s = 0;
	int minx = 100001, miny = 100001;
	int maxx = -100001, maxy = -100001;
	for (int i = 1; i <= n; i++) {
		int xx, yy;
		cin >> xx >> yy;
		minx = xx < minx ? xx : minx;
		miny = yy < miny ? yy : miny;
		maxx = xx > maxx ? xx : maxx;
		maxy = yy > maxy ? yy : maxy;
		tacke[i-1] = { xx,yy };
		for (int j = 0; j < 4; j++) {
			int xa, ya;
			long long st = 0;
			if (j == 0) { xa = minx; ya = miny; }
			if (j == 1) { xa = minx; ya = maxy; }
			if (j == 2) { xa = maxx; ya = miny; }
			if (j == 3) { xa = maxx; ya = maxy; }
			for (int k = 0; k < i; k++) {
				int xi = tacke[k].first;
				int yi = tacke[k].second;
				st += abs((xi - xa) * (yi - ya));
			}
			s = (st > s ? st : s);
		}
		cout << s%1000000007 << "\n";
	}
}